# swagger_client
Provides conversion/transformation services from a source to a target CRS. A coordinate operation is a conversion if the source and target CRS share the same datum; the operation is called transformation if datum transformations are involved, i.e. source and target CRS do not share the same datum.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: Bearer
swagger_client.configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['Authorization'] = 'Bearer'
# create an instance of the API class
api_instance = swagger_client.CRSPointConversionApi()
body = swagger_client.ConvertGeoJsonRequest() # ConvertGeoJsonRequest |  (optional)
data_partition_id = 'data_partition_id_example' # str |  (optional)

try:
    # Convert a GeoJSON or AnyCrsGeoJson structure
    api_response = api_instance.convert_geo_json(body=body, data_partition_id=data_partition_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CRSPointConversionApi->convert_geo_json: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://az-osdu1.evd.csp.slb.com/api/crs/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CRSPointConversionApi* | [**convert_geo_json**](docs/CRSPointConversionApi.md#convert_geo_json) | **POST** /convertGeoJson | Convert a GeoJSON or AnyCrsGeoJson structure
*CRSPointConversionApi* | [**convert_point**](docs/CRSPointConversionApi.md#convert_point) | **POST** /convert | Convert a list of points
*TrajectoryComputationAndConversionApi* | [**convert_trajectory**](docs/TrajectoryComputationAndConversionApi.md#convert_trajectory) | **POST** /convertTrajectory | Convert trajectory stations


## Documentation For Models

 - [AnyCrsGeoJsonFeature](docs/AnyCrsGeoJsonFeature.md)
 - [AnyCrsGeoJsonFeatureCollection](docs/AnyCrsGeoJsonFeatureCollection.md)
 - [AnyCrsGeoJsonFeatureGeometry](docs/AnyCrsGeoJsonFeatureGeometry.md)
 - [AnyCrsGeoJsonGeometry](docs/AnyCrsGeoJsonGeometry.md)
 - [AnyCrsGeoJsonGeometryCollection](docs/AnyCrsGeoJsonGeometryCollection.md)
 - [AnyCrsGeoJsonLineString](docs/AnyCrsGeoJsonLineString.md)
 - [AnyCrsGeoJsonMultiLineString](docs/AnyCrsGeoJsonMultiLineString.md)
 - [AnyCrsGeoJsonMultiPoint](docs/AnyCrsGeoJsonMultiPoint.md)
 - [AnyCrsGeoJsonMultiPolygon](docs/AnyCrsGeoJsonMultiPolygon.md)
 - [AnyCrsGeoJsonPoint](docs/AnyCrsGeoJsonPoint.md)
 - [AnyCrsGeoJsonPolygon](docs/AnyCrsGeoJsonPolygon.md)
 - [AnyProperty](docs/AnyProperty.md)
 - [ConvertGeoJsonRequest](docs/ConvertGeoJsonRequest.md)
 - [ConvertGeoJsonResponse](docs/ConvertGeoJsonResponse.md)
 - [ConvertPointsRequest](docs/ConvertPointsRequest.md)
 - [ConvertPointsResponse](docs/ConvertPointsResponse.md)
 - [ConvertTrajectoryRequest](docs/ConvertTrajectoryRequest.md)
 - [ConvertTrajectoryResponse](docs/ConvertTrajectoryResponse.md)
 - [ErrorResponse](docs/ErrorResponse.md)
 - [Point](docs/Point.md)
 - [TrajectoryStationIn](docs/TrajectoryStationIn.md)
 - [TrajectoryStationOut](docs/TrajectoryStationOut.md)


## Documentation For Authorization


## Bearer

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author



