# coding: utf-8

"""
    CRS Conversion Service

    Provides conversion/transformation services from a source to a target CRS. A coordinate operation is a conversion if the source and target CRS share the same datum; the operation is called transformation if datum transformations are involved, i.e. source and target CRS do not share the same datum.

    OpenAPI spec version: 1.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from pprint import pformat
from six import iteritems
import re


class AnyCrsGeoJsonFeature(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, type=None, properties=None, geometry=None, bbox=None):
        """
        AnyCrsGeoJsonFeature - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'type': 'str',
            'properties': 'AnyProperty',
            'geometry': 'AnyCrsGeoJsonFeatureGeometry',
            'bbox': 'list[float]'
        }

        self.attribute_map = {
            'type': 'type',
            'properties': 'properties',
            'geometry': 'geometry',
            'bbox': 'bbox'
        }

        self._type = type
        self._properties = properties
        self._geometry = geometry
        self._bbox = bbox

    @property
    def type(self):
        """
        Gets the type of this AnyCrsGeoJsonFeature.

        :return: The type of this AnyCrsGeoJsonFeature.
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """
        Sets the type of this AnyCrsGeoJsonFeature.

        :param type: The type of this AnyCrsGeoJsonFeature.
        :type: str
        """
        allowed_values = ["Feature", "AnyCrsFeature"]
        if type not in allowed_values:
            raise ValueError(
                "Invalid value for `type` ({0}), must be one of {1}"
                .format(type, allowed_values)
            )

        self._type = type

    @property
    def properties(self):
        """
        Gets the properties of this AnyCrsGeoJsonFeature.

        :return: The properties of this AnyCrsGeoJsonFeature.
        :rtype: AnyProperty
        """
        return self._properties

    @properties.setter
    def properties(self, properties):
        """
        Sets the properties of this AnyCrsGeoJsonFeature.

        :param properties: The properties of this AnyCrsGeoJsonFeature.
        :type: AnyProperty
        """
        if properties is None:
            raise ValueError("Invalid value for `properties`, must not be `None`")

        self._properties = properties

    @property
    def geometry(self):
        """
        Gets the geometry of this AnyCrsGeoJsonFeature.

        :return: The geometry of this AnyCrsGeoJsonFeature.
        :rtype: AnyCrsGeoJsonFeatureGeometry
        """
        return self._geometry

    @geometry.setter
    def geometry(self, geometry):
        """
        Sets the geometry of this AnyCrsGeoJsonFeature.

        :param geometry: The geometry of this AnyCrsGeoJsonFeature.
        :type: AnyCrsGeoJsonFeatureGeometry
        """
        if geometry is None:
            raise ValueError("Invalid value for `geometry`, must not be `None`")

        self._geometry = geometry

    @property
    def bbox(self):
        """
        Gets the bbox of this AnyCrsGeoJsonFeature.

        :return: The bbox of this AnyCrsGeoJsonFeature.
        :rtype: list[float]
        """
        return self._bbox

    @bbox.setter
    def bbox(self, bbox):
        """
        Sets the bbox of this AnyCrsGeoJsonFeature.

        :param bbox: The bbox of this AnyCrsGeoJsonFeature.
        :type: list[float]
        """

        self._bbox = bbox

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        if not isinstance(other, AnyCrsGeoJsonFeature):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
