# coding: utf-8

"""
    CRS Conversion Service

    Provides conversion/transformation services from a source to a target CRS. A coordinate operation is a conversion if the source and target CRS share the same datum; the operation is called transformation if datum transformations are involved, i.e. source and target CRS do not share the same datum.

    OpenAPI spec version: 1.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from pprint import pformat
from six import iteritems
import re


class ConvertGeoJsonResponse(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, total_count=None, success_count=None, feature_collection=None, operations_applied=None):
        """
        ConvertGeoJsonResponse - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'total_count': 'int',
            'success_count': 'int',
            'feature_collection': 'AnyCrsGeoJsonFeatureCollection',
            'operations_applied': 'list[str]'
        }

        self.attribute_map = {
            'total_count': 'totalCount',
            'success_count': 'successCount',
            'feature_collection': 'featureCollection',
            'operations_applied': 'operationsApplied'
        }

        self._total_count = total_count
        self._success_count = success_count
        self._feature_collection = feature_collection
        self._operations_applied = operations_applied

    @property
    def total_count(self):
        """
        Gets the total_count of this ConvertGeoJsonResponse.
        The total number of coordinates in the GeoJSON FeatureCollection or AnyCrsFeatureCollection.

        :return: The total_count of this ConvertGeoJsonResponse.
        :rtype: int
        """
        return self._total_count

    @total_count.setter
    def total_count(self, total_count):
        """
        Sets the total_count of this ConvertGeoJsonResponse.
        The total number of coordinates in the GeoJSON FeatureCollection or AnyCrsFeatureCollection.

        :param total_count: The total_count of this ConvertGeoJsonResponse.
        :type: int
        """

        self._total_count = total_count

    @property
    def success_count(self):
        """
        Gets the success_count of this ConvertGeoJsonResponse.
        The number of coordinates in the GeoJSON FeatureCollection or AnyCrsFeatureCollection successfully converted/transformed. If this number is less than totalCount then conversion/transformation errors have occurred.

        :return: The success_count of this ConvertGeoJsonResponse.
        :rtype: int
        """
        return self._success_count

    @success_count.setter
    def success_count(self, success_count):
        """
        Sets the success_count of this ConvertGeoJsonResponse.
        The number of coordinates in the GeoJSON FeatureCollection or AnyCrsFeatureCollection successfully converted/transformed. If this number is less than totalCount then conversion/transformation errors have occurred.

        :param success_count: The success_count of this ConvertGeoJsonResponse.
        :type: int
        """

        self._success_count = success_count

    @property
    def feature_collection(self):
        """
        Gets the feature_collection of this ConvertGeoJsonResponse.

        :return: The feature_collection of this ConvertGeoJsonResponse.
        :rtype: AnyCrsGeoJsonFeatureCollection
        """
        return self._feature_collection

    @feature_collection.setter
    def feature_collection(self, feature_collection):
        """
        Sets the feature_collection of this ConvertGeoJsonResponse.

        :param feature_collection: The feature_collection of this ConvertGeoJsonResponse.
        :type: AnyCrsGeoJsonFeatureCollection
        """

        self._feature_collection = feature_collection

    @property
    def operations_applied(self):
        """
        Gets the operations_applied of this ConvertGeoJsonResponse.
        The list of operations, which have been applied to the points

        :return: The operations_applied of this ConvertGeoJsonResponse.
        :rtype: list[str]
        """
        return self._operations_applied

    @operations_applied.setter
    def operations_applied(self, operations_applied):
        """
        Sets the operations_applied of this ConvertGeoJsonResponse.
        The list of operations, which have been applied to the points

        :param operations_applied: The operations_applied of this ConvertGeoJsonResponse.
        :type: list[str]
        """

        self._operations_applied = operations_applied

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        if not isinstance(other, ConvertGeoJsonResponse):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
